## zchunk 1.1.9%2Bds1

=== meson_options.txt ===
option('with-zstd', type : 'combo', choices : ['enabled', 'disabled', 'auto'], value : 'auto')
option('with-openssl', type : 'combo', choices : ['enabled', 'disabled', 'auto'], value : 'auto')
option('coverity', type : 'boolean', value : false)

## zchunk 1.1.9+ds1

=== debian/changelog ===
zchunk (1.1.9+ds1-1) unstable; urgency=medium

  * New upstream release that includes the test-checksums patch.

 -- Peter Pentchev <roam@debian.org>  Thu, 11 Feb 2021 12:09:28 +0200

zchunk (1.1.7+ds1-2) unstable; urgency=medium

  * Add the test-checksums upstream fix for test data checksums varying
    with recent versions of zstd. Closes: #978320
  * Add the year 2021 to my debian/* copyright notice.
  * Declare compliance with Policy 4.5.1 with no changes.

 -- Peter Pentchev <roam@debian.org>  Sat, 02 Jan 2021 23:24:48 +0200

zchunk (1.1.7+ds1-1) unstable; urgency=medium

  * Reformat the source of the autopkgtest using black 20.
  * Add a trivial git-buildpackage config file.
  * New upstream release:
    - drop the unzck-require-ext patch, merged upstream
    - drop the debian/*.1 manual pages, merged upstream
    - update the upstream copyright years

 -- Peter Pentchev <roam@debian.org>  Fri, 23 Oct 2020 12:03:58 +0300

zchunk (1.1.6+ds1-1) unstable; urgency=low

  * Initial release. Closes: #961801

 -- Peter Pentchev <roam@debian.org>  Thu, 18 Jun 2020 22:50:15 +0300

=== debian/control ===
Source: zchunk
Section: utils
Priority: optional
Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
Uploaders: Peter Pentchev <roam@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libcurl4-openssl-dev,
 libzstd-dev,
 meson,
 pkg-config,
 python3 <!nocheck>,
 wamerican <!nocheck>,
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/pkg-rpm-team/zchunk.git
Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/zchunk
Homepage: https://github.com/zchunk/zchunk
Rules-Requires-Root: no

Package: zchunk
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}, libzck1 (= ${binary:Version})
Description: compress a file into independent chunks
 zchunk is a compressed file format that splits the file into independent
 chunks. This allows one to only download changed chunks when
 downloading a new version of the file, and also makes zchunk files
 efficient over rsync.
 .
 zchunk files are protected with strong checksums to verify that the file
 downloaded is, in fact, the file desired.
 .
 This package contains the command-line tools.

Package: libzck1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: compress a file into independent chunks - shared library
 zchunk is a compressed file format that splits the file into independent
 chunks. This allows one to only download changed chunks when
 downloading a new version of the file, and also makes zchunk files
 efficient over rsync.
 .
 zchunk files are protected with strong checksums to verify that the file
 downloaded is, in fact, the file desired.
 .
 This package contains the shared library.

Package: libzck-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libzck1 (= ${binary:Version}), libzstd-dev
Description: compress a file into independent chunks - development files
 zchunk is a compressed file format that splits the file into independent
 chunks. This allows one to only download changed chunks when
 downloading a new version of the file, and also makes zchunk files
 efficient over rsync.
 .
 zchunk files are protected with strong checksums to verify that the file
 downloaded is, in fact, the file desired.
 .
 This package contains the header files used for development.

=== debian/rules ===
#!/usr/bin/make -f

# Aim for the top, adapt if anything should break on the buildds.
DEB_BUILD_MAINT_OPTIONS=	hardening=+all
export DEB_BUILD_MAINT_OPTIONS

GARCH:=	$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh '$@'

override_dh_auto_configure:
	dh_auto_configure -- -Dwith-openssl=disabled

execute_after_dh_auto_test:
	env PYTHONPATH=debian/tests python3 -B -m pychunk.roundtrip -d 'obj-${GARCH}/src' -f '/usr/share/dict/american-english'
	env PYTHONPATH=debian/tests python3 -B -m pychunk.roundtrip -d 'obj-${GARCH}/src' -f "$$(readlink -f -- "$$(command -v gcc)")"

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

=== debian/tests/control ===
Test-Command: env PYTHONPATH=debian/tests python3 -B -m pychunk.roundtrip -d /usr/bin -f /usr/share/dict/american-english
Depends: @, python3, wamerican
Features: test-name=debian-dict

Test-Command: env PYTHONPATH=debian/tests python3 -B -m pychunk.compile -d /usr/bin -f /usr/share/dict/american-english debian/tests/chunk.c
Depends: @, build-essential, pkg-config, python3, wamerican
Features: test-name=debian-compile

## zchunk 1.1.16+ds1

=== debian/changelog ===
zchunk (1.1.16+ds1-1) unstable; urgency=medium

  * Declare compliance with Policy 4.6.0 with no changes.
  * Add the cppcheck patch to properly detect a read error and to
    fix a minor test check.
  * New upstream release:
    - update the upstream copyright years
    - add another minor fix to the cppcheck patch
  * Drop an unused variable in the Debian-specific test.

 -- Peter Pentchev <roam@debian.org>  Sun, 22 Aug 2021 15:15:59 +0300

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  pkg-config,
  python3 <!nocheck>,
  wamerican <!nocheck>,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/pkg-rpm-team/zchunk.git
 Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/zchunk
 Homepage: https://github.com/zchunk/zchunk

## zchunk 1.2.1+ds1

=== meson_options.txt ===
option('with-zstd', type : 'feature', value : 'auto')
option('with-openssl', type : 'feature', value : 'auto')
option('with-curl', type : 'feature', value : 'auto')
option('coverity', type : 'boolean', value : false)

=== debian/changelog ===
zchunk (1.2.1+ds1-1) unstable; urgency=medium

  * Add the test-checksums patch to fix the test suite with versions
    1.4.10 and 1.5.0 of libzstd. Closes: #1009427
  * Add the year 2022 to my debian/* copyright notice.
  * New upstream release (Closes: #1006195):
    - drop the cppcheck patch, integrated upstream
    - drop most of the chunks in the test-checksums patch (they were taken
      from the 1.2.x source), only leaving the one handling the difference
      between libzstd-1.4.10 and libzstd-1.5.0
    - update the symbols file

 -- Peter Pentchev <roam@debian.org>  Fri, 15 Apr 2022 11:48:24 +0300

## zchunk 1.2.2+ds1

=== debian/changelog ===
zchunk (1.2.2+ds1-1) unstable; urgency=medium

  * Declare compliance with Policy 4.6.1 with no changes.
  * Add the cppcheck patch to fix some minor issues.
  * Do some Python programming style clean-up on the autopkgtest:
    - reformat the source using 100 characters per line
    - bump the minimum supported Python version to 3.7
    - move some checkers' options to pyproject.toml and setup.cfg
    - push the source down into a debian/tests/python/ subdirectory
  * Add an EditorConfig definitions file for debian/*.
  * New upstream version:
    - drop the test-checksums patch, integrated upstream
    - refresh the line numbers in the cppcheck patch

 -- Peter Pentchev <roam@debian.org>  Fri, 12 Aug 2022 16:57:41 +0300

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  pkg-config,
  python3 <!nocheck>,
  wamerican <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/pkg-rpm-team/zchunk.git
 Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/zchunk
 Homepage: https://github.com/zchunk/zchunk

## zchunk 1.2.3+ds1

=== debian/changelog ===
zchunk (1.2.3+ds1-2) unstable; urgency=medium

  * Add the upstream-zstd-1.5.4 patch to make the test suite pass
    against libzstd-1.5.4. Closes: #1031485

 -- Peter Pentchev <roam@debian.org>  Wed, 22 Feb 2023 11:31:17 +0200

zchunk (1.2.3+ds1-1) unstable; urgency=medium

  * Declare compliance with Policy 4.6.2 with no changes.
  * Add the year 2023 to my debian/* copyright notice.
  * New upstream release:
    - drop a hunk from the cppcheck patch
    - refresh the line numbers in the typos patch

 -- Peter Pentchev <roam@debian.org>  Thu, 05 Jan 2023 23:49:37 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  pkg-config,
  python3 <!nocheck>,
  wamerican <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/pkg-rpm-team/zchunk.git
 Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/zchunk
 Homepage: https://github.com/zchunk/zchunk

=== debian/tests/control ===
Test-Command: env PYTHONPATH=debian/tests/python python3 -B -m pychunk.roundtrip -d /usr/bin -f /usr/share/dict/american-english
Depends: @, python3, wamerican
Features: test-name=debian-dict

Test-Command: env PYTHONPATH=debian/tests/python python3 -B -m pychunk.compile -d /usr/bin -f /usr/share/dict/american-english debian/tests/chunk.c
Depends: @, build-essential, pkg-config, python3, wamerican
Features: test-name=debian-compile

## zchunk 1.3.1+ds1

=== debian/changelog ===
zchunk (1.3.1+ds1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Peter Pentchev <roam@debian.org>  Thu, 10 Aug 2023 11:47:52 +0300

zchunk (1.3.1+ds1-1) unstable; urgency=medium

  * Use debhelper compat level 14 for `meson install`.
  * New upstream release:
    - Closes: #1037423
    - drop the upstream-zstd-1.5.4 patch, it was taken from upstream
    - add another minor correction to the typos patch
    - refresh the line numbers in the cppcheck patch

 -- Peter Pentchev <roam@debian.org>  Sat, 01 Jul 2023 19:49:56 +0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
 Uploaders: Peter Pentchev <roam@debian.org>
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 13.8~),
  libcurl4-openssl-dev,
  libzstd-dev,
  meson,

=== debian/rules ===
#!/usr/bin/make -f

# Aim for the top, adapt if anything should break on the buildds.
DEB_BUILD_MAINT_OPTIONS=	hardening=+all
export DEB_BUILD_MAINT_OPTIONS

GARCH:=	$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh '$@'

override_dh_auto_configure:
	dh_auto_configure -- -Dwith-openssl=disabled

execute_after_dh_auto_test:
	env PYTHONPATH=debian/tests/python python3 -B -m pychunk.roundtrip -d 'obj-${GARCH}/src' -f '/usr/share/dict/american-english'
	env PYTHONPATH=debian/tests/python python3 -B -m pychunk.roundtrip -d 'obj-${GARCH}/src' -f "$$(readlink -f -- "$$(command -v gcc)")"

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

## zchunk 1.3.2+ds1

=== debian/changelog ===
zchunk (1.3.2+ds1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:54:37 +1100

zchunk (1.3.2+ds1-1build1) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:09:09 +0000

zchunk (1.3.2+ds1-1) unstable; urgency=medium

  * Update to version 1 of the dpkg build API:
    - drop the implied "Rules-Requires-Root: no" declaration
    - include dpkg's default.mk and use the DEB_HOST_GNU_TYPE variable
      declared there instead of fetching its value by hand
  * Use dh-package-notes to record ELF package metadata.
  * Improve the autopkgtest programs a bit:
    - rework the Python Tox test framework used to validate them
    - perform some minor refactoring suggested by the Ruff tool
    - use the Python pyparsing library instead of rolling our own
      regular-expression-based parser
  * New upstream release:
    - fix a buffer overflow problem when parsing compressed files
      (CVE-2023-46228). Closes: #1054235
    - refresh the line numbers in the cppcheck patch

 -- Peter Pentchev <roam@debian.org>  Fri, 20 Oct 2023 08:10:39 +0300

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,24 @@
 Source: zchunk
 Section: utils
 Priority: optional
-Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
 Uploaders: Peter Pentchev <roam@debian.org>
 Build-Depends:
  debhelper (>= 13.8~),
+ dh-package-notes,
+ dpkg-build-api (= 1),
  libcurl4-openssl-dev,
  libzstd-dev,
  meson,
  pkg-config,
  python3 <!nocheck>,
+ python3-pyparsing <!nocheck>,
  wamerican <!nocheck>,
 Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/pkg-rpm-team/zchunk.git
 Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/zchunk
 Homepage: https://github.com/zchunk/zchunk
-Rules-Requires-Root: no
 
 Package: zchunk
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Aim for the top, adapt if anything should break on the buildds.
DEB_BUILD_MAINT_OPTIONS=	hardening=+all
export DEB_BUILD_MAINT_OPTIONS

include /usr/share/dpkg/default.mk

include /usr/share/debhelper/dh_package_notes/package-notes.mk

%:
	dh '$@'

override_dh_auto_configure:
	dh_auto_configure -- -Dwith-openssl=disabled

execute_after_dh_auto_test:
	env PYTHONPATH=debian/tests/python python3 -B -m pychunk.roundtrip -d 'obj-${DEB_HOST_GNU_TYPE}/src' -f '/usr/share/dict/american-english'
	env PYTHONPATH=debian/tests/python python3 -B -m pychunk.roundtrip -d 'obj-${DEB_HOST_GNU_TYPE}/src' -f "$$(readlink -f -- "$$(command -v gcc)")"

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

=== debian/tests/control ===
Test-Command: env PYTHONPATH=debian/tests/python python3 -B -m pychunk.roundtrip -d /usr/bin -f /usr/share/dict/american-english
Depends: @, python3, python3-pyparsing, wamerican
Features: test-name=debian-dict

Test-Command: env PYTHONPATH=debian/tests/python python3 -B -m pychunk.compile -d /usr/bin -f /usr/share/dict/american-english debian/tests/chunk.c
Depends: @, build-essential, pkg-config, python3, python3-pyparsing, wamerican
Features: test-name=debian-compile

=== debian/watch ===
version=4
opts=repack,repacksuffix=+ds1,dversionmangle=s/\+ds[1-9][0-9]*//,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/zchunk-$1\.tar\.gz/ \
  https://github.com/zchunk/zchunk/tags .*/v?(\d\S+)\.tar\.gz

## zchunk 1.4.0+ds1

=== debian/changelog ===
zchunk (1.4.0+ds1-1) unstable; urgency=medium

  * Use the X-DH-Compat source control field instead of debian/compat.
  * Build-depend on pkgconf instead of the transitional pkg-config.
  * Add the year 2024 to my debian/* copyright notice.
  * Declare compliance with Policy 4.7.0 with no changes.
  * Let debhelper add some default dependencies automatically.
  * Refresh the Ruff checks in the autopkgtest's Tox style test suite.
  * New upstream release:
    - refresh the cppcheck patch
    - add the new zck_get_chunk_ctx symbol
    - update the upstream copyright years

 -- Peter Pentchev <roam@debian.org>  Fri, 28 Jun 2024 17:02:05 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: zchunk
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
+Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
 Uploaders: Peter Pentchev <roam@debian.org>
 Build-Depends:
  debhelper (>= 13.8~),
@@ -11,11 +10,12 @@
  libcurl4-openssl-dev,
  libzstd-dev,
  meson,
- pkg-config,
+ pkgconf,
  python3 <!nocheck>,
  python3-pyparsing <!nocheck>,
  wamerican <!nocheck>,
-Standards-Version: 4.6.2
+X-DH-Compat: 14
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/pkg-rpm-team/zchunk.git
 Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/zchunk
 Homepage: https://github.com/zchunk/zchunk
@@ -23,7 +23,7 @@
 Package: zchunk
 Architecture: any
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}, libzck1 (= ${binary:Version})
+Depends: libzck1 (= ${binary:Version})
 Description: compress a file into independent chunks
  zchunk is a compressed file format that splits the file into independent
  chunks. This allows one to only download changed chunks when
@@ -39,7 +39,6 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: compress a file into independent chunks - shared library
  zchunk is a compressed file format that splits the file into independent
  chunks. This allows one to only download changed chunks when
@@ -55,7 +54,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libzck1 (= ${binary:Version}), libzstd-dev
+Depends: libzck1 (= ${binary:Version}), libzstd-dev
 Description: compress a file into independent chunks - development files
  zchunk is a compressed file format that splits the file into independent
  chunks. This allows one to only download changed chunks when

## zchunk 1.5.1%2Bds1

=== meson_options.txt ===
--- 
+++ 
@@ -2,3 +2,5 @@
 option('with-openssl', type : 'feature', value : 'auto')
 option('with-curl', type : 'feature', value : 'auto')
 option('coverity', type : 'boolean', value : false)
+option('docs', type : 'boolean', value : true)
+option('tests', type : 'boolean', value : true)

## zchunk 1.5.1+ds1

=== debian/changelog ===
zchunk (1.5.1+ds1-1) unstable; urgency=medium

  * Use debputy's X-Style: black.
  * autopkgtest: use Ruff 0.5.6, override two docstring checks.
  * New upstream release:
    - refresh the line numbers in the cppcheck patch

 -- Peter Pentchev <roam@debian.org>  Wed, 07 Aug 2024 10:50:02 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
-Uploaders: Peter Pentchev <roam@debian.org>
+Uploaders:
+ Peter Pentchev <roam@debian.org>,
 Build-Depends:
  debhelper (>= 13.8~),
  dh-package-notes,
@@ -19,11 +20,13 @@
 Vcs-Git: https://salsa.debian.org/pkg-rpm-team/zchunk.git
 Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/zchunk
 Homepage: https://github.com/zchunk/zchunk
+X-Style: black
 
 Package: zchunk
 Architecture: any
 Multi-Arch: foreign
-Depends: libzck1 (= ${binary:Version})
+Depends:
+ libzck1 (= ${binary:Version}),
 Description: compress a file into independent chunks
  zchunk is a compressed file format that splits the file into independent
  chunks. This allows one to only download changed chunks when
@@ -54,7 +57,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libzck1 (= ${binary:Version}), libzstd-dev
+Depends:
+ libzck1 (= ${binary:Version}),
+ libzstd-dev,
 Description: compress a file into independent chunks - development files
  zchunk is a compressed file format that splits the file into independent
  chunks. This allows one to only download changed chunks when

## zchunk 1.5.2+ds1

=== debian/changelog ===
zchunk (1.5.2+ds1-1) unstable; urgency=medium

  * Declare compliance with Policy 4.7.2 with no changes.
  * Add the year 2025 to my debian/* copyright notice.
  * Convert the watch file to version 5 of the format.
  * Add another null pointer check to the cppcheck patch.
  * Bump the debhelper dependency to 13.15.2 since we use its features.
  * Minor changes to the linter framework for the autopkgtest:
    - switch to PEP 735 dependency groups
    - tighten some dependencies for `uv --resolution=lowest`
    - use Ruff 0.14.2 with no changes
  * Use DPKG_GENSYMBOLS_CHECK_LEVEL instead of overriding dh_makeshlibs.
  * Add Salsa CI configuration.
  * New upstream release.

 -- Peter Pentchev <roam@debian.org>  Fri, 24 Oct 2025 18:24:37 +0300

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Peter Pentchev <roam@debian.org>,
 Build-Depends:
- debhelper (>= 13.8~),
+ debhelper (>= 13.15.2~),
  dh-package-notes,
  dpkg-build-api (= 1),
  libcurl4-openssl-dev,
@@ -16,7 +16,7 @@
  python3-pyparsing <!nocheck>,
  wamerican <!nocheck>,
 X-DH-Compat: 14
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/pkg-rpm-team/zchunk.git
 Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/zchunk
 Homepage: https://github.com/zchunk/zchunk

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,9 @@
 # Aim for the top, adapt if anything should break on the buildds.
 DEB_BUILD_MAINT_OPTIONS=	hardening=+all
 export DEB_BUILD_MAINT_OPTIONS
+
+DPKG_GENSYMBOLS_CHECK_LEVEL=	4
+export DPKG_GENSYMBOLS_CHECK_LEVEL
 
 include /usr/share/dpkg/default.mk
 
@@ -17,6 +20,3 @@
 execute_after_dh_auto_test:
 	env PYTHONPATH=debian/tests/python python3 -B -m pychunk.roundtrip -d 'obj-${DEB_HOST_GNU_TYPE}/src' -f '/usr/share/dict/american-english'
 	env PYTHONPATH=debian/tests/python python3 -B -m pychunk.roundtrip -d 'obj-${DEB_HOST_GNU_TYPE}/src' -f "$$(readlink -f -- "$$(command -v gcc)")"
-
-override_dh_makeshlibs:
-	dh_makeshlibs -- -c4

=== debian/tests/control ===
Test-Command: env PYTHONPATH=debian/tests/python python3 -B -m pychunk.roundtrip -d /usr/bin -f /usr/share/dict/american-english
Depends:
 python3,
 python3-pyparsing,
 wamerican,
 @,
Features:
 test-name=debian-dict,

Test-Command: env PYTHONPATH=debian/tests/python python3 -B -m pychunk.compile -d /usr/bin -f /usr/share/dict/american-english debian/tests/chunk.c
Depends:
 build-essential,
 pkg-config,
 python3,
 python3-pyparsing,
 wamerican,
 @,
Features:
 test-name=debian-compile,

=== debian/watch ===
Version: 5

Source: https://github.com/zchunk/zchunk/tags
Matching-Pattern: .*/v?(\d\S+)\.tar\.gz
Dversion-Mangle: s/\+ds[1-9][0-9]*//
Filename-Mangle: s/.+\/v?(\d\S+)\.tar\.gz/zchunk-$1\.tar\.gz/
Repack: yes
Repack-Suffix: +ds1
